SPIRV-REFLECT(1)

NAME
spirv-reflect - SPIRV-Reflect

SYNOPSIS
spirv-reflect [OPTIONS] path/to/SPIR-V/bytecode.spv

DESCRIPTION
Prints a summary of the reflection data extracted from SPIR-V bytecode. Options:

--help
    Display this message

-o,--output
    Print output to file. [default: stdout]

-y,--yaml
    Format output as YAML. [default: disabled]

-v VERBOSITY
    Specify output verbosity (YAML output only): 0: shader info, block variables, interface variables,

descriptor bindings. No type descriptions. [default]
    1: Everything above, plus type descriptions. 2: Everything above, plus SPIR-V bytecode and all internal

type descriptions. If you're not working on SPIRV-Reflect
    itself, you probably don't want this.

-e,--entrypoint Prints entry points found in shader module. -s,--stage Prints Vulkan shader stages found in shader module. -f,--file Prints the source file found in shader module. -fcb,--flatten_cbuffers Flatten constant buffers on non-YAML output.

SEE ALSO
The full documentation for spirv-reflect is maintained as a Texinfo manual. If the info and spirv-reflect programs are properly installed at your site, the command

    info spirv-reflect

should give you access to the complete manual.